<!-- 载荷安全控制 -->
<template>
    <div class="fullheight load-safety-container">
        <div class="control-container">
            <div class="control-item">
                <span class="control-item-title">计算时间</span>
                <span class="control-item-value">
                    <span class="num">{{ resultObj.calTime }}</span>
                </span>
            </div>
            <div class="control-item">
                <span class="control-item-title">全场主风向角</span>
                <span class="control-item-value">
                    <span class="num">{{ resultObj.calDirection }}</span>
                    <span class="unit">°</span>
                </span>
            </div>
            <div class="control-item">
                <span class="control-item-title">降容标志</span>
                <span class="control-item-img">
                    <img :src="resultObj.reducingFlag == 1 ? imgOn : imgOff" />
                </span>
            </div>
        </div>
        <div class="content-container">
            <div class="content">
                <div class="title">
                    <span class="title-th">极端阵风标志</span>
                    <span class="title-th">风向 / °</span>
                    <span class="title-th">机组编号</span>
                </div>
                <div class="data-content-container">
                    <div class="data-content" v-for="item in dataL" :key="item.id">
                        <span class="content-td">
                            <div class="content-td-img">
                                <img v-if="item.flag" :src="imgOn" />
                            </div>
                        </span>
                        <span class="content-td">{{ item.windDirection }}</span>
                        <span class="content-td" :title="item.fanNameList" v-if="item.flag">
                            <span v-for="(crew, index) in item.fanNameList.split(',')" :key="crew">
                                <span v-if="errorCrewKey.includes(crew)" class="crewnum error">
                                    {{ crew }}
                                    <span v-if="index !== item.fanNameList.split(',').length - 1">,</span>
                                </span>
                                <span v-else class="crewnum normol">
                                    {{ crew }}
                                    <span v-if="index !== item.fanNameList.split(',').length - 1">,</span>
                                </span>
                            </span>
                        </span>
                        <span class="content-td" :title="item.fanNameList" v-else>
                            <span v-for="(crew, index) in item.fanNameList.split(',')" :key="crew">
                                <span class="crewnum normol">
                                    {{ crew }}
                                    <span v-if="index !== item.fanNameList.split(',').length - 1">,</span>
                                </span>
                            </span>
                            <!-- {{ item.fanNameList }}</span> -->
                        </span>
                    </div>
                </div>
            </div>
            <div class="content">
                <div class="title">
                    <span class="title-th">极端阵风标志</span>
                    <span class="title-th">风向 / °</span>
                    <span class="title-th">机组编号</span>
                </div>
                <div class="data-content-container">
                    <div class="data-content" v-for="item in dataR" :key="item.id">
                        <span class="content-td">
                            <div class="content-td-img">
                                <img v-if="item.flag" :src="imgOn" />
                            </div>
                        </span>
                        <span class="content-td">{{ item.windDirection }}</span>

                        <span class="content-td" :title="item.fanNameList" v-if="item.flag">
                            <span v-for="(crew, index) in item.fanNameList.split(',')" :key="crew">
                                <span v-if="errorCrewKey.includes(crew)" class="crewnum error">
                                    {{ crew }}
                                    <span v-if="index !== item.fanNameList.split(',').length - 1">,</span>
                                </span>
                                <span v-else class="crewnum normol">
                                    {{ crew }}
                                    <span v-if="index !== item.fanNameList.split(',').length - 1">,</span>
                                </span>
                            </span>
                        </span>
                        <span class="content-td" :title="item.fanNameList" v-else>
                            <!-- {{ item.fanNameList }}  -->
                            <span v-for="(crew, index) in item.fanNameList.split(',')" :key="crew">
                                <span class="crewnum normol">
                                    {{ crew }}
                                    <span v-if="index !== item.fanNameList.split(',').length - 1">,</span>
                                </span>
                            </span>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'loadSafety',
    data() {
        return {
            imgOn: require('@/assets/img/buttonOn.png'),
            imgOff: require('@/assets/img/buttonOff.png'),
            resultObj: {
                calDirection: '',
                reducingFlag: '0',
            },
            errorCrewKey: [],
            dataL: [],
            dataR: [],
        }
    },
    mounted() {
        this.loadData()
    },
    methods: {
        loadData() {
            this.$http.post('${cssc}/biz/cqkz/windFan/v1/findResult', {}).then(
                (resp) => {
                    if (resp.data) {
                        this.resultObj = resp.data
                        this.formatData()
                    }
                },
                (error) => {
                    reject(error)
                }
            )
        },
        formatData() {
            this.errorCrewKey = this.resultObj.fanNameList.split(',')
            this.resultObj.cqkzWindFans.forEach((item) => {
                if (item.windDirection == this.resultObj.windDirection) {
                    item.flag = true
                } else {
                    item.flag = false
                }
            })
            let length = this.resultObj.cqkzWindFans.length / 2
            this.dataL = this.resultObj.cqkzWindFans.slice(0, length)
            this.dataR = this.resultObj.cqkzWindFans.slice(length)
        },
    },
}
</script>

<style lang="scss" scoped>
@import '@/assets/css/element-variables.scss';

.load-safety-container {
    width: 100%;
    box-sizing: border-box;

    .control-container {
        height: 80px;
        margin-bottom: 10px;
        width: 100%;
        padding: 0 10%;
        background-color: rgba(18, 60, 88, 0.5);
        border: 1px solid #25b4be;
        box-sizing: border-box;
        border-radius: 4px;
        display: flex;
        justify-content: space-around;
        align-items: center;
    }

    .control-item {
        width: 300px;
        height: 60px;
        line-height: 60px;
        margin: 0 40px;
        display: flex;
        justify-content: start;
        align-items: center;

        span {
            font-size: 20px;
            font-weight: 700;
            vertical-align: middle;
        }

        .control-item-value {
            margin-left: 20px;
            margin-top: 6px;

            .num {
                font-family: 'electronicFont';
                vertical-align: middle;
                color: #02c82e;
            }

            .unit {
                font-size: 12px;
                color: #b9bec6;
                font-weight: normal;
                margin-left: 6px;
                vertical-align: top;
            }
        }

        .control-item-img {
            margin-left: 20px;
            width: 40px;
            height: 40px;

            img {
                width: 100%;
                height: 100%;
            }
        }
    }

    .control-item:nth-child(1) {
        width: 400px;
    }

    .content-container {
        height: calc(100% - 90px);
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;

        .content {
            width: 49.5%;
            height: 100%;
            background-color: rgba(18, 60, 88, 0.5);
            border: 1px solid #25b4be;
            box-sizing: border-box;
            border-radius: 4px;
        }

        .title {
            display: flex;
            justify-content: start;
            align-items: center;
            background-image: linear-gradient(to right, #25b4be, #11397e);
            box-sizing: border-box;
        }

        .title-th {
            display: inline-block;
            height: 50px;
            line-height: 50px;
            width: 160px;
            margin: 0 10px;
            text-align: center;
            font-size: 14px;
            font-weight: bold;
            box-sizing: border-box;
        }

        .title-th:nth-of-type(3) {
            width: calc(100% - 320px);
        }

        .data-content-container {
            height: calc(100% - 50px);
            width: 100%;
            overflow-y: auto;
        }

        .data-content {
            height: 46px;
            line-height: 46px;
            display: flex;
            justify-content: start;
            align-items: center;
            box-sizing: border-box;
            border-bottom: 1px solid #15656a;
        }

        .data-content:nth-last-child(1) {
            // border-bottom: 0;
        }

        .content-td {
            display: inline-block;
            margin: 0 10px;
            width: 160px;
            text-align: center;
            font-size: 14px;
            box-sizing: border-box;
        }

        .crewnum {
            font-size: 14px;
        }

        .normol {
            font-size: 14px;
        }

        .error {
            font-size: 14px;
            color: #eb4f4f;
            // border: 1px solid #eb4f4f;
            // padding: 4px;
        }

        .content-td:nth-of-type(3) {
            width: calc(100% - 320px);
            text-align: left;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }

        .content-td-img {
            margin-left: 50px;
            width: 30px;
            height: 30px;

            img {
                width: 100%;
                height: 100%;
            }
        }
    }
}
</style>
